// file: $isip/class/pr/LanguageModel/lm_00.cc
//

// there is no source code in this file
//

// isip include files
//
#include "LanguageModel.h"

//-----------------------------------------------------------------------------
//
// we define non-integral constants in the default constructor
//
//-----------------------------------------------------------------------------

// constants: required constants such as the class name
//
const String LanguageModel::CLASS_NAME(L"LanguageModel");
const String LanguageModel::PARAM_ALGO(L"algorithm");
const String LanguageModel::PARAM_IMPL(L"implementation");
const String LanguageModel::DEF_PARAM(L"");
const long LanguageModel::DEF_TAG = 0;

// static instantiations: name maps, dummy objects, etc.
//
const NameMap LanguageModel::ALGO_MAP(L"Undefined, IHD, JSGF, XML, BNF, ABNF");
const NameMap LanguageModel::IMPL_MAP(L"IHD");
LanguageModelUndefined LanguageModel::NO_LANGUAGE_MODEL;

// static instantiations: memory manager, debug_level, scratch space, etc.
//
MemoryManager LanguageModel::mgr_d(sizeof(LanguageModel),
				      LanguageModel::CLASS_NAME);
